Page MenuHomePhabricator

Baha: Systems and programs onboarding
Closed, ResolvedPublic

Description

Hey Baha,

this is the generic "systems and programs onboarding" checklist we put together for our newest team members. Many of these items won't apply to you since you're already familiar with our stack and workflows but I list them here nonetheless for consistency. Please check them as done or ping me if there are specific items you would like to prioritize in terms of gaps in your familiarity with any of these systems or programs. I expect your first week(s) will be pretty heavy on reading and asking questions to the rest of the team.

Data and systems

  • Stats machines (Analytics)
  • Hadoop / Hive / Analytics cluster (Analytics) -- familiarize yourself with webrequest logs. (Note: This is good in general, but also helpful for a task such as T171694 which is well-contained task)
  • EventLogging (instrumentation) (Analytics)
  • Dump parsing libraries http://pythonhosted.org/mediawiki-utilities/ (Diego)
  • SQL replicas (Analytics)
    • Quarry (Jonathan)
  • Wikidata
    • general intro to the data model (Dario)
    • WDQS / SPARQL (Lukas) (On hold until later)
    • JSON dumps

Programs

Familiarize yourself with the various programs Research is contributing to through the end of FY18: https://phabricator.wikimedia.org/tag/research-programs/

high-priority programs with engineering dependencies

Program 9: knowledge gaps

Program 11: improving citations

other programs with fewer or no engineering dependencies

Program 4: understand technical audiences

Program 12: increasing diversity

CD - Community Health (Segment 3: Research)

CD - Structured data (Segment 4: Programs)

Event Timeline

DarTar created this task.Dec 28 2017, 6:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 28 2017, 6:13 PM
DarTar triaged this task as Normal priority.Dec 28 2017, 6:13 PM
bmansurov updated the task description. (Show Details)Jan 2 2018, 9:19 PM
bmansurov updated the task description. (Show Details)Jan 3 2018, 1:41 PM
bmansurov updated the task description. (Show Details)Jan 3 2018, 11:00 PM
bmansurov updated the task description. (Show Details)Jan 4 2018, 6:48 PM
bmansurov updated the task description. (Show Details)Jan 4 2018, 10:51 PM
bmansurov updated the task description. (Show Details)Jan 5 2018, 9:32 PM
bmansurov updated the task description. (Show Details)Jan 8 2018, 10:05 PM
bmansurov updated the task description. (Show Details)Jan 9 2018, 9:20 PM
bmansurov moved this task from Time Sensitive to Done (current quarter) on the Research board.
bmansurov closed this task as Resolved.Feb 26 2018, 7:25 PM